Subject: RE: [Tsvwg] Re: IETF process concerning missed RFC dependencies?

From: Bob Briscoe <[email-masked]>
Date: Wed, 13 Jun 2007 09:07:00 +0100

Lars,

At 08:28 13/06/2007, Lars Eggert wrote:
>Hi,
>
>before we move forward with anything, let's figure out what exactly the 
>inconsistency is and what the history is.
>
>Is the change to ECN in RFC4301 technically correct, or does it cause 
>incorrect ECN processing? In other words, are we talking about a missing 
>"updates" dependency, or are we talking about a technical error in the ECN 
>handling in RFC4301?

Two separate issues:

1/ Whatever the answer to Q2, I believe there would be no harm in adding 
two /other/ dependencies to the RFC index that I've noticed.

RFC3168 (ECN)   updates RFC2003 (IP in IP tunnelling)
RFC4301 (IPsec) updates RFC2003 (")

Anyone object to adding these right now?

2/ As I said and you said, I don't believe the contradictions between 3168 
& 4301 can or should be solved by just updating the RFC index. That's why 
I've written a draft-I-D (to be posted as an I-D by end of this week when 
my co-authors have had a chance to refine it). If that became RFCXXXX, then 
we would add further dependencies:

RFCXXXX updates RFC3168
RFCXXXX updates RFC4301

Whatever ends up being done, even if not what is planned here, RFC2003 will 
inherit the updates to things that already update it.

Let's stop this thread on Q2 until we post the draft, but answers to Q1 are 
welcome pls...

Bob

>What we need to do depends on which case we're talking about.
>
>Lars
>
> > -----Original Message-----
> > From: ext Bob Briscoe
> > Received: Tue Jun 12 20:17:14 EEST 2007
> > To: Bob Braden
> > Cc: Lars Eggert, WESTERLUND, Magnus, tsvwg IETF list
> > Subject: Re: [Tsvwg] Re: IETF process concerning missed RFC  dependencies?
> >
> > Bob,
> >
> > At 17:23 12/06/2007, Bob Braden wrote:
> > >>>Bob Briscoe:
> > >>>My question: If an RFC has been published in the past that updates
> > >>>another RFC, but the dependency wasn't noticed at the time, can the
> > >>>dependency 'just' be added to the RFC index?
> > >
> > >
> > >The intent is to keep the most current and correct information in the
> > >index, so the answer to the question is "yes", a dependency noted
> > >later can and should be added to the index.  Just send email to
> > >the RFC Editor.
> >
> > That's useful to know.
> >
> > It will possibly complicate matters even further to just baldly say 
> RFC4301
> > (IPsec) updates RFC3168 (ECN), as RFC4301 doesn't clarify what bits of
> > RFC3168 it updates and what it doesn't.
> >
> > So, rather than emailing the RFC Editor to say this right now, I'll post
> > the I-D describing the contradiction between the two RFCs first, then we
> > can have a discussion on the list about what to do, and also in Chicago.
> >
> > However, we could certainly tell the RFC Editor that both RFC3168 and
> > RFC4301 update RFC2003 (IP in IP tunneling), a dependency which I also
> > noticed isn't identified in the RFC Index. Anyone see any objection to 
> that?
> >
> >
> > Two Bob
> >
> >
> >
> > 
> ____________________________________________________________________________
> > Bob Briscoe, <[email-masked]>      Networks Research Centre, BT 
> Research
> > B54/77 Adastral Park,Martlesham Heath,Ipswich,IP5 3RE,UK.    +44 1473 
> 645196
> >
> >
> >
> >
> >

____________________________________________________________________________
Bob Briscoe, <[email-masked]>      Networks Research Centre, BT Research
B54/77 Adastral Park,Martlesham Heath,Ipswich,IP5 3RE,UK.    +44 1473 645196

---

From: Sally Floyd <[email-masked]>
Date: Wed, 13 Jun 2007 13:05:27 -0700

Bob -

> 1/ Whatever the answer to Q2, I believe there would be no harm in 
> adding two /other/ dependencies to the RFC index that I've noticed.
>
...
> Anyone object to adding these right now?

That sounds good to me.

- Sally
http://www.icir.org/floyd/